@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&family=Manrope:wght@200;300;400;500;600;700;800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500&family=Roboto+Condensed:wght@300;400&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: .3s all ease;
    font-family: 'Manrope', sans-serif;
}

/* Animation au scroll plus cool */
html {
    scroll-behavior: smooth;
}

body {
    /* background-color: #1f242d; */
    background-color: #1f242d;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    padding: 20px 10px;
    width: 100%;
    z-index: 1;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    transition: 0.5s;
    text-transform: uppercase;
}

header a {
    text-shadow: 0 0px 10px black;
    font-weight: 600;

}

/* Pour l'arrière plan blur de la navbar */
.blur {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 0;
    transition: height 0.5s ease;
    overflow: hidden;
    z-index: -1;
}

.blur-background {
    transition: .3s all ease;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.1);
    z-index: -1;
}


/* style pour le logo (img) */

.lg {
    width: 50px;
    height: 50px;
}

/* Style pour `A propos de nous` */


.logo {
    color: #fff;
    font-weight: bold;
    /*pour donner la couleur bold à l'élément portant la classe logo et entouré de span*/
    font-size: 2em;
    text-decoration: none;
    /*pour enlever la décoration bizarre sur les liens; ça enlève le soulignement, etc...*/
}

/* Style pour la video (oui oui) */
video {
    width: 100%;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s ease;
}

/* Hover effect: scale up the video slightly */
video:hover {
    transform: scale(1.01);
}

/*pour styliser le R*/
.logo span {
    color: #736355;
}

.navbar {
    display: flex;
    position: relative;

}

.navbar li {
    list-style: none;
}

.navbar a {
    color: #fff;
    text-decoration: none;
    margin-left: 30px;
    font-family: 700;
}

header .navbar li a:hover {
    color: #736355;
    border-bottom: 2px solid #736355;
}

/*pour changer le style de l'écriture, on utilise poppins google-font*/
.banniere {
    position: relative;
    width: 100%;
    /*espace que l'élément va occuper; dans ce cas la bannière va occuper la totalité de l'écran*/
    min-height: 100vh;
    display: flex;
    justify-content: center;
    /*pour centrer les élément contenu dans la section ayant pour classe : banniere*/
    align-items: center;
    background-image: url(./images/banniere1.jpg);
    background-size: cover;
    /* left: -10%; */
    animation: slide-right 2s;
    /*pour que l'image puisse couvrir la totalité de l'écran*/
}
@keyframes slide-right{
    from {
        left: -10%;
        opacity: 0;
    }
    to{
        left: 0%;
        opacity: 1;
    }
}

.banniere .contenu {
    max-width: 70%;
    text-align: center;
}

.banniere .contenu h2 {
    color: #fff;
    font-size: 2.8Rem;
    text-transform: capitalize;
}

/*pour modifier le lorem, 2 parceque c'est le 2em enfant de l'élément contenant : contenu*/
.contenu p:nth-child(2) {
    color: #fff;
    font-size: 1.2em;
    /*taille de l'écriture*/
}



section {
    padding: 100px;
    background-color: #1f242d;
}

.row {
    margin-top: 50px;
    position: relative;
    width: 100%;
    display: flex;
    justify-content: space-between;
    /* align-items: center; */
}

.row .col50 {
    position: relative;
    width: 48%;
    justify-content: center;
    align-items: center;

}



.row .col50 h1 {
    margin-bottom: 20px;
    color: #fff;
    text-transform: uppercase;
   
}

/* Style pour la localisation */
#localisation {
    margin-top: -80px;
}

#localisation iframe {
    border-radius: 12px;
    box-shadow: 0 0 20px;
    height: 400px;
}

/* Style pour les tarifs */
#tarifs {
    margin-top: -80px;
}


#tarifs section {
    /* height: 400px; */
    margin-bottom: 40px;
}

section {
    /* background-color: #f9f9f9; */
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
    overflow: hidden;
}

.s1,
.s2,
.s3,
.s4,
.s5,
.s6,
.s7 {
    justify-content: center;
    align-items: center;
    padding: 20px;
}


.tarif-card {

    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    max-width: 400px;
    /* background-color: white; */
    /* color: black; */
     backdrop-filter: blur(100px); 
}

.tarif-content {
    text-align: left;
    

}

.tarif-content h2 {
    color: #736355;
    font-size: 30px;
    margin-bottom: 20px;
    /* text-shadow: 0 0 5px #736355; */
    
    font-weight: bold;
    
}

.tarif-content div {
    margin-top: 10px;
}

.tarif-content p {
    color: white;
    font-size: 14px;
    margin: 5px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    
}
.tarif-content p b {
    font-size: 3rem;
    display: inline-block; /* Pour que le texte soit aligné correctement */
    text-align: right; /* Alignement du texte sur la droite */
    color: white;
    /* text-shadow: 0 0 5px black; */
    &::after{

        content: " F";
    }
}




.tarif-content p:last-child {
    margin-bottom: 0;
}

section .s1 {
    background: url("./images/soins.png");
    background-size: cover;
    background-position: center;
    font-size: 40px;
}

section .s2 {
    background: url("./images/massageSamtou.jpg");
    background-size: cover;
    background-position: center;
    font-size: 40px;
    height: 350;
}

section .s3 {
    background: url("./images/massageSamtou3.jpg");
    background-size: cover;
    background-position: center;
    font-size: 40px;
}

section .s4 {
    background: url("./images/coiffuredame.jpg");
    background-size: cover;
    background-position: center;
    font-size: 40px;
}

section .s5 {
    background: url("./images/soins.png");
    background-size: cover;
    background-position: center;
    font-size: 40px;
}

section .s6 {
    background: url("./images/massage4.jpg");
    background-size: cover;
    background-position: center;
    font-size: 40px;
}

section .s7 {
    background: url("./images/soins.png");
    background-size: cover;
    background-position: center;
    font-size: 40px;
}

.titre-text {
    color: #fff;
    font-size: 1.5em;
    font-weight: 800;
    text-transform: capitalize;
    text-transform: uppercase;
    margin-bottom: 30px;

}

.titre-text span {
    color: #fff;
    font-size: 1.5em;
    font-weight: 700;
}

/* .row .col50 img{
            height: 450px;
            width: 600px;
            position: relative;
        } */
.titre {
    display: flex;
    /*pour que les éléments soient sur la même ligne*/
    width: 100%;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    /*pour mettre les éléments sur la même colonne*/
}


p {
    color: #fff;
}

h2 {
    color: #736355;
}
.chef{
    display: flex;
    align-items: center;
    justify-content: center;
}

.container {
    position: relative;
    width: 600px;
    height: 400px;
    background: #f5f5f5;
    box-shadow: 0 10px 30px #dbdbdb;

}

.container .slide .item {
    width: 165px;
    height: 250px;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    border-radius: 20px;
    box-shadow: 0 10px 30px #505050;
    background-position: 50% 50%;
    background-size: cover;
    display: inline-block;
    transition: 0.5s;
}

.slide .item:nth-child(1),
.slide .item:nth-child(2) {
    top: 0;
    left: 0;
    transform: translate(0, 0);
    border-radius: 0;
    width: 100%;
    height: 100%;

}

.slide .item:nth-child(3) {
    left: 50%;
}

.slide .item:nth-child(4) {
    left: calc(50% + 210px);
}

.slide .item:nth-child(5) {
    left: calc(50% + 430px);
}

.slide .item:nth-child(n+6) {
    left: calc(50% + 650px);
    opacity: 0;
}

.item .content {
    position: absolute;
    top: 50%;
    left: 100px;
    width: 300px;
    text-align: left;
    color: #eee;
    transform: translate(0, -50%);
    font-family: system-ui;
    display: none;

}

.slide .item:nth-child(2) .content {
    display: block;
}

.content .name {
    font-size: 40px;
    text-transform: uppercase;
    font-weight: bold;
    opacity: 0;
    animation: animate 1s ease-in-out 1 forwards;
}

.content .des {
    margin-top: 10px;
    margin-bottom: 20px;
    opacity: 0;
    animation: animate 1s ease-in-out 0. 3s 1 forwards;
}

.content button {
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    opacity: 0;
    animation: animate 1s ease-in-out 0. 6s 1 forwards;
}

@keyframes animate {
    from {
        opacity: 0;
        transform: translate(0, 100px);
        filter: blur(33px);

    }

    to {
        opacity: 1;
        transform: translate(0);
        filter: blur(0);
    }
}

.button {
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 20px;

}

.button button {
    width: 40px;
    height: 35px;
    border-radius: 8px;
    border: none;
    cursor: pointer;
    margin: 1px solid #000;
    transition: 0.3s;

}

.button button:hover {
    background: #ababab;
    color: #505050;
}

/* .caroussel{
width: 300px;
overflow: hidden;
display: flex;
height: 300px;
} */
/* .caroussel img{
    width: 100%;
    height: 300px;
    position: relative;
    object-fit: cover;
    border-radius: 5px;
    /* display: flex; */
/* animation-duration:20s ;  durée de l'animation */
/* animation-name: mesimages; */
/* animation-iteration-count: infinite;pour que ça puisse tourner en rond */

/* } */

/* @keyframes mesimages{
    0%{
        transform: translateX(0);
    }
    25%{
        transform: translateX(-300px);
    }
    50%{
        transform: translateX(-610px);
    }
    75%{
        transform: translateX(-910px);
    }
    100%{
        transform: translateX(0);
    }

} */

/* .temoignage{
    background-image: url(./images/esthétique.jpg);
    background-size: cover; 
}
.temoignage .contenu{
    display: flex;
    margin-top: 40px;
    width:100%;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    flex-direction: row;
}
.temoignage .contenu .box{
    width: 340px;
    margin: 20px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 15px;
    padding: 40px;
}
.temoignage .contenu .box .imbox{
    width: 80px;
    height: 80px;
    border-radius: 50px;
    position: relative;
    margin-bottom: 20px;
    overflow: hidden;
}
.temoignage .contenu .box .imbox img{
    position: relative;
    width: 100%;
    height: 100%;
  top: 0;
  left: 0;
  object-fit: cover;
  justify-content: center;
  align-items: center;
}
.temoignage .contenu .box .text{
    text-align: center;
    columns: #666;
    font-style: italic;
}
.temoignage .contenu .box .text h3{
color: #fb911f;
margin-top: 20px;
font-size: 1em;
font-weight: 600;
 }
 .blanc .titre-text{
color: #fff;
 }
 .blanc .titre-text,
 .blanc p{
    color: #fff;
 } */

/* .back{
    background-image: url(./images/background1.jpg);
 } */

h2 {
    z-index: 100;
}
b{
    padding-left: 50px;
   
}

/* Ajout de Media Queries pour rendre le site responsive sur téléphone */

/* Pour les écrans de taille téléphone */
@media screen and (max-width: 480px) {
    header {
        padding: 15px;
    }

    .logo {
        font-size: 1.2em;
        padding-left: 0;
        
    }

    .navbar {
        /* display: none; */
        font-size: 8px;
    }

    .navbar.active {
        display: block;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: #1f242d;
        z-index: 1;
        padding: 10px 0;
        flex-direction: column;
    }

    .navbar.active li {
        margin: 10px 0;
    }

    .navbar.active li a {
        margin: 0;
    }

    .banniere .contenu {
        max-width: 90%;
    }


    .container {
        width: 90%;
        margin: auto;
    }

    .tarif-item {
        flex-direction: column;
    }

    .tarif {
        margin-bottom: 20px;
    }
}

@media screen and (max-width : 580px) {
    .row {
        flex-direction: column;
        margin-bottom: 40px;

        .col50 {
            width: 100%;
            margin-bottom: 30px;
            text-align:justify;
        }
    }

    .banniere {
        background: url("./images/massage4.jpg");
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        height: 50px;
       
        
    }

    section {
        padding: 10px;
    }

    #localisation {
        margin-bottom: 120px;
    }

    iframe {
        height: 250px;
    }
}